BG96 module firmware version

Hi All,

My BG96 module FW version is as below:
[2019-09-06 09:22:04:166_R:] OK
[2019-09-06 09:22:15:801_S:] ATI
[2019-09-06 09:22:15:804_R:] ATI
[2019-09-06 09:22:15:804_R:] Quectel
[2019-09-06 09:22:15:804_R:] BG96
[2019-09-06 09:22:15:804_R:] Revision: BG96MAR02A07M1G

Recently I wanna test LwM2M protocol, and I use AT+QLWM2M=? to check.
look like some AT command for LwM2M command no support such as “select”, “psk”, “apn”.
Should I update firmware? and where can I get version of fiwmware for all LwM2M command?
[2019-09-06 09:22:15:804_R:] OK
[2019-09-06 09:22:21:220_S:] AT+QLWM2M=?
[2019-09-06 09:22:21:224_R:] AT+QLWM2M=?
[2019-09-06 09:22:21:224_R:] +QLWM2M: “enable”,(0,1)
[2019-09-06 09:22:21:224_R:] +QLWM2M: “bootstrap”,(0-3)[,]
[2019-09-06 09:22:21:224_R:] +QLWM2M: “qcli_en”,(0,1)

Thanks.

Here is the supported version you could use:
https://cnquectel-my.sharepoint.com/:u:/g/personal/america-fae_quectel_com/Ebv7BOEqBqlNiE-ac1UFM5MBmcttRNZulg2W0tR-M-q7_w?e=nvi89n
You could test connection and observation. But some actions of LWM2M are not supported with using AT command.

1 Like

Thanks.

I update FW success.
[2019-09-09 16:10:49:295_S:] AT+QLWM2M=?
[2019-09-09 16:10:49:299_R:] AT+QLWM2M=?
[2019-09-09 16:10:49:302_R:] +QLWM2M: “select”[,(0-3)]
[2019-09-09 16:10:49:302_R:] +QLWM2M: “enable”[,(0,1)]
[2019-09-09 16:10:49:302_R:] +QLWM2M: “bootstrap”,(0-4)[,]
[2019-09-09 16:10:49:302_R:] +QLWM2M: “qcli_en”[,(0,1)]
[2019-09-09 16:10:49:302_R:] +QLWM2M: “psk”[,(0,1)]
[2019-09-09 16:10:49:302_R:] +QLWM2M: “apn”[,<apn_name>]
[2019-09-09 16:10:49:302_R:] +QLWM2M: “endpoint”[,(4,7),(4,7)]
[2019-09-09 16:10:49:302_R:] +QLWM2M: “reset”
[2019-09-09 16:10:49:302_R:] +QLWM2M: “clean”